Description

This patch is related to #10989 and adds the following changes:

1. propose in parent task auto complete only open issues if the issue is open

2. propose in parent task auto complete only closed issues if the issue is closed

In this way we'll reduce the changes to choose an invalid parent issue.

Associated revisions

Revision 16243 - 2017-01-21 10:59 - Jean-Philippe Lang

Filter parent task issues in auto complete by open/closed status depending on the subtask status (#24877).

Patch by Marius BALTEANU.

History

#1 - 2017-01-19 20:33 - Jean-Philippe Lang

- Target version set to 3.4.0

#2 - 2017-01-20 11:05 - Marius BĂLTEANU

- File current_issue.png added

- File 02_filter_subtask_from_issues_autocomplete.patch added

Attached another patch that can be applied after my previous patch that adds a new small improvement to the issues returned by the autocomplete. It

filters out from the proposed issues the subtask (from which the search is made).

Actual behaviour:

 current_issue.png 

#3 - 2017-01-21 10:59 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed with slight changes (SQL error with PostgreSQL), thanks.

Files

filter_autocomplete_issues_by_status.patch 2.84 KB 2017-01-19 Marius BĂLTEANU

current_issue.png 86.4 KB 2017-01-20 Marius BĂLTEANU

02_filter_subtask_from_issues_autocomplete.patch 2.55 KB 2017-01-20 Marius BĂLTEANU
